> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Fireblocks Integration

> Generates an RSA keypair, upserts it into the org Fireblocks integration and writes a key-regenerated audit entry.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/create-fireblocks-integration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/create-fireblocks-integration:
    post:
      operationId: createFireblocksIntegration
      summary: Create Fireblocks Integration
      description: >-
        Generates an RSA keypair, upserts it into the org Fireblocks integration
        and writes a key-regenerated audit entry.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFireblocksIntegrationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateFireblocksIntegrationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateFireblocksIntegrationRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
      required:
        - orgID
    CreateFireblocksIntegrationResponse:
      type: object
      properties:
        organizationFireblocksIntegrationID:
          type: string
        publicKey:
          type: string
          pattern: ^(?![\s\S]*PRIVATE KEY)-----BEGIN CERTIFICATE REQUEST-----
      required:
        - organizationFireblocksIntegrationID
        - publicKey
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
